PassThrough Requests - Recruit CRM ATS


List Currency Ids

Use the currency_id field, in the response, as currency inside compensation object while creating a job.

A cURL request could look like this:

curl --location 'https://api.getknit.dev/v1.0/passthrough' \
--header 'Authorization: Bearer <YOUR_API_KEY>' \
--header 'X-Knit-Integration-Id: <YOUR_INTEGRATION_ID>' \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '{
    "method": "GET",
    "path": "v1/currencies"
}'

List Salary Types

Use the type_id field, in the response, as period inside compensation object while creating a job.

A cURL request could look like this:

curl --location 'https://api.getknit.dev/v1.0/passthrough' \
--header 'Authorization: Bearer <YOUR_API_KEY>' \
--header 'X-Knit-Integration-Id: <YOUR_INTEGRATION_ID>' \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '{
    "method": "GET",
    "path": "v1/salary-types"
}'

List Qualification Ids

Use the qualification_id field, in the response, as educationLevel while creating a job.

A cURL request could look like this:

curl --location 'https://api.getknit.dev/v1.0/passthrough' \
--header 'Authorization: Bearer <YOUR_API_KEY>' \
--header 'X-Knit-Integration-Id: <YOUR_INTEGRATION_ID>' \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '{
    "method": "GET",
    "path": "v1/qualifications"
}'

List Company Slugs

Use the slug field, in the response, as metaData.company_slug while creating a job.

A cURL request could look like this:

curl --location 'https://api.getknit.dev/v1.0/passthrough' \
--header 'Authorization: Bearer <YOUR_API_KEY>' \
--header 'X-Knit-Integration-Id: <YOUR_INTEGRATION_ID>' \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '{
    "method": "GET",
    "path": "v1/companies"
}'